
Redmine - Defect #10567

Revisions page "OK" button always returns 404 error

2012-03-30 04:09 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

http://www.redmine.org/projects/redmine/repository/revisions/9288

 

Associated revisions

Revision 9299 - 2012-04-02 07:09 - Toshi MARUYAMA

scm: fix revisions page "OK" button always returns 404 error (#10567)

History

#1 - 2012-03-30 10:50 - Etienne Massip

Aside note: with a git mirror having multiple branches, the revision field default value is the branch name, which is wrong and obviously leads to the

same 404 error.

#2 - 2012-04-02 08:01 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version deleted (1.4.0)

- Resolution set to Fixed

Fixed by r9299.

Redmine revision page does not support branch name.

Because revision page reads only database and does not save branches info in database.

It returns OK.

https://www.chiliproject.org/projects/chiliproject/repository/revision?rev=20a791

It returns 404 error.

https://www.chiliproject.org/projects/chiliproject/repository/revision?rev=master

#3 - 2012-04-02 11:07 - pasquale [:dedalus]

Why target version has deleted? It's intentional?

#4 - 2012-04-02 11:22 - Etienne Massip

Guess that it was removed because it was a devel issue and not a change between 2 versions and thus doesn't need to appear on the changelog.

#5 - 2012-04-02 12:04 - Toshi MARUYAMA

pasquale [:dedalus] wrote:

Why target version has deleted? It's intentional?

 Because 1.3-stable has no bug.

This bug is due to explicit route r8162 and multiple repositories #779.
#6 - 2012-04-02 12:10 - pasquale [:dedalus]

Toshi MARUYAMA wrote:

Because 1.3-stable has no bug.

This bug is due to explicit route r8162 and multiple repositories #779.

 Ah it's right! Thanks ;-)
